Sabnzbd manual install unrar fail.

User avatar
panzer
Posts: 43
Joined: Wed Apr 09, 2014 5:17 pm

Sabnzbd manual install unrar fail.

Postby panzer » Sun Aug 10, 2014 11:07 am

Hi

When trying to install sabnzbd via the rpm package manually through terminal, it tells me that the package is unable to unrar.
I thought that rpmfusion resolves this issue however i am still at a dead end.

Is there something i need to install for this rpm package to unrar ?

Is there a different manual installation process for sabnzbd when Amahi 7 is installed ?

=============----------------==============--------------==================

Loaded plugins: fastestmirror, langpacks, refresh-packagekit
SABnzbd | 3.3 kB 00:00
Loading mirror speeds from cached hostfile
* fedora: mirrors.telianet.dk
* rpmfusion-free: mirror.nl.leaseweb.net
* rpmfusion-free-updates: mirror.nl.leaseweb.net
* updates: mirrors.telianet.dk
Resolving Dependencies
--> Running transaction check
---> Package SABnzbd.noarch 0:0.7.18-1.fc19 will be installed
--> Processing Dependency: unrar for package: SABnzbd-0.7.18-1.fc19.noarch
--> Processing Dependency: python-yenc for package: SABnzbd-0.7.18-1.fc19.noarch
--> Processing Dependency: python-cheetah for package: SABnzbd-0.7.18-1.fc19.noarch
--> Processing Dependency: par2cmdline for package: SABnzbd-0.7.18-1.fc19.noarch
--> Running transaction check
---> Package SABnzbd.noarch 0:0.7.18-1.fc19 will be installed
--> Processing Dependency: unrar for package: SABnzbd-0.7.18-1.fc19.noarch
---> Package par2cmdline.x86_64 0:0.4.tbb.20100203-16.fc19 will be installed
--> Processing Dependency: libtbb.so.2()(64bit) for package: par2cmdline-0.4.tbb.20100203-16.fc19.x86_64
---> Package python-cheetah.x86_64 0:2.4.4-4.fc19 will be installed
--> Processing Dependency: python-pygments for package: python-cheetah-2.4.4-4.fc19.x86_64
--> Processing Dependency: python-markdown for package: python-cheetah-2.4.4-4.fc19.x86_64
---> Package python-yenc.x86_64 0:0.4.0-1.fc19 will be installed
--> Running transaction check
---> Package SABnzbd.noarch 0:0.7.18-1.fc19 will be installed
--> Processing Dependency: unrar for package: SABnzbd-0.7.18-1.fc19.noarch
---> Package python-markdown.noarch 0:2.2.1-2.fc19 will be installed
---> Package python-pygments.noarch 0:1.6-1.fc19 will be installed
---> Package tbb.x86_64 0:4.0-9.20120408.fc19 will be installed
--> Finished Dependency Resolution
Error: Package: SABnzbd-0.7.18-1.fc19.noarch (SABnzbd)
Requires: unrar
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

User avatar
bigfoot65
Project Manager
Posts: 11300
Joined: Mon May 25, 2009 4:31 pm

Re: Sabnzbd manual install unrar fail.

Postby bigfoot65 » Sun Aug 10, 2014 11:17 am

Verify that unrar is installed:

Code: Select all

yum list unrar
If it's not, install first:

Code: Select all

yum install unrar
Any reason you are installing manually vs using the Amahi app? It's much cleaner that way in my opinion.
ßîgƒσστ65
Applications Manager

User avatar
panzer
Posts: 43
Joined: Wed Apr 09, 2014 5:17 pm

Re: Sabnzbd manual install unrar fail.

Postby panzer » Sun Aug 10, 2014 11:41 am

Verify that unrar is installed:

Code: Select all

yum list unrar
If it's not, install first:

Code: Select all

yum install unrar
Any reason you are installing manually vs using the Amahi app? It's much cleaner that way in my opinion.

Thanks for your reply, the unrar package cannot be found same with the list option. My thoughts were that rpmfusion would install the facility to unrar packages ?
I am uncertain about staying with amahi at the moment due to its focus on using fedora, i have come from an ubuntu background whilst using amahi and that was fine.. i just find fedora very frustrating at the moment.

here is the output.

Loaded plugins: fastestmirror, langpacks, refresh-packagekit
Loading mirror speeds from cached hostfile
* fedora: mirror.switch.ch
* rpmfusion-free: mirror.nl.leaseweb.net
* rpmfusion-free-updates: mirror.nl.leaseweb.net
* updates: mirror.switch.ch
No package unrar available.

User avatar
bigfoot65
Project Manager
Posts: 11300
Joined: Mon May 25, 2009 4:31 pm

Re: Sabnzbd manual install unrar fail.

Postby bigfoot65 » Sun Aug 10, 2014 11:47 am

Odd as it's reflected in the repo for me.

Try this

Code: Select all

yum clean all
Now try to find unrar.
ßîgƒσστ65
Applications Manager

User avatar
panzer
Posts: 43
Joined: Wed Apr 09, 2014 5:17 pm

Re: Sabnzbd manual install unrar fail.

Postby panzer » Sun Aug 10, 2014 11:53 am

Odd as it's reflected in the repo for me.

Try this

Code: Select all

yum clean all
Now try to find unrar.
Ok here is the output, again it is not listed ? Not sure whats going on here...



[tiger@localhost ~]$ sudo yum clean all
[sudo] password for tiger:
Loaded plugins: fastestmirror, langpacks, refresh-packagekit
Cleaning repos: SABnzbd amahi fedora google-chrome google-musicmanager
: pydio-stable pydio-testing rpmfusion-free rpmfusion-free-updates
: updates
Cleaning up everything
Cleaning up list of fastest mirrors
[tiger@localhost ~]$ sudo yum install unrar
Loaded plugins: fastestmirror, langpacks, refresh-packagekit
SABnzbd | 3.3 kB 00:00
amahi | 2.9 kB 00:00
fedora/19/x86_64/metalink | 34 kB 00:00
fedora | 4.2 kB 00:00
google-chrome | 951 B 00:00
google-musicmanager | 951 B 00:00
pydio-stable | 951 B 00:00
pydio-testing | 951 B 00:00
rpmfusion-free | 3.3 kB 00:00
rpmfusion-free-updates | 3.3 kB 00:00
updates/19/x86_64/metalink | 27 kB 00:00
updates | 4.9 kB 00:00
(1/6): fedora/19/x86_64/group_gz | 384 kB 00:00
(2/6): SABnzbd/19/primary_db | 3.6 kB 00:01
(3/6): updates/19/x86_64/group_gz | 394 kB 00:00
(4/6): amahi/19/primary_db | 115 kB 00:01
(5/6): fedora/19/x86_64/primary_db | 17 MB 00:01
(6/6): updates/19/x86_64/primary_db | 12 MB 00:01
(1/10): google-chrome/primary | 1.9 kB 00:00
(2/10): google-musicmanager/primary | 1.0 kB 00:00
(3/10): pydio-testing/primary | 1.5 kB 00:00
(4/10): pydio-stable/primary | 1.6 kB 00:00
(5/10): rpmfusion-free/19/x86_64/group_gz | 1.6 kB 00:00
(6/10): rpmfusion-free-updates/19/x86_64/group_gz | 1.6 kB 00:00
(7/10): rpmfusion-free/19/x86_64/primary_db | 440 kB 00:00
(8/10): updates/19/x86_64/updateinfo | 1.3 MB 00:00
(9/10): rpmfusion-free-updates/19/x86_64/primary_db | 348 kB 00:00
(10/10): updates/19/x86_64/pkgtags | 893 kB 00:00
Determining fastest mirrors
* fedora: mirror.bytemark.co.uk
* rpmfusion-free: www.mirrorservice.org
* rpmfusion-free-updates: www.mirrorservice.org
* updates: mirror.bytemark.co.uk
google-chrome 3/3
google-musicmanager 1/1
pydio-stable 5/5
pydio-testing 4/4
No package unrar available.
Error: Nothing to do
[tiger@localhost ~]$ sudo yum list unrar
Loaded plugins: fastestmirror, langpacks, refresh-packagekit
Loading mirror speeds from cached hostfile
* fedora: mirror.bytemark.co.uk
* rpmfusion-free: www.mirrorservice.org
* rpmfusion-free-updates: www.mirrorservice.org
* updates: mirror.bytemark.co.uk
Error: No matching Packages to list

User avatar
bigfoot65
Project Manager
Posts: 11300
Joined: Mon May 25, 2009 4:31 pm

Re: Sabnzbd manual install unrar fail.

Postby bigfoot65 » Sun Aug 10, 2014 11:56 am

Do you the RPM Fusion non-free installed? That's where unrar is because it's not freeware but commercial.
ßîgƒσστ65
Applications Manager

User avatar
panzer
Posts: 43
Joined: Wed Apr 09, 2014 5:17 pm

Re: Sabnzbd manual install unrar fail.

Postby panzer » Sun Aug 10, 2014 12:05 pm

Do you the RPM Fusion non-free installed? That's where unrar is because it's not freeware but commercial.
I have the free version of RPMFUSION installed.

So is there any " free "unrar software that can be installed to resolve this issue ?>

User avatar
bigfoot65
Project Manager
Posts: 11300
Joined: Mon May 25, 2009 4:31 pm

Re: Sabnzbd manual install unrar fail.

Postby bigfoot65 » Sun Aug 10, 2014 12:15 pm

No have to install the other RPM Fusion library. It's in the app store.

http://www.amahi.org/apps/rpm-fusion-non-free

There's still no cost just unrar is not considered free.

UPDATE: Why are you wanting to install the RPM? It's in the Amahi app store, preconfigured. We use the source vs the RPM so it's easier for update.
ßîgƒσστ65
Applications Manager

User avatar
panzer
Posts: 43
Joined: Wed Apr 09, 2014 5:17 pm

Re: Sabnzbd manual install unrar fail.

Postby panzer » Sun Aug 10, 2014 1:18 pm

No have to install the other RPM Fusion library. It's in the app store.

http://www.amahi.org/apps/rpm-fusion-non-free

There's still no cost just unrar is not considered free.

UPDATE: Why are you wanting to install the RPM? It's in the Amahi app store, pre-configured. We use the source vs the RPM so it's easier for update.

Thanks i have now installed the *non free* and it has worked. On the apps list it has slightly misleading text . should be reworded to ( RPM Fusion - inclusion of non free software)

- Yes it is available via the app store but it cost 4.99, i have installed sabnzb and a bunch of other software (plex, sickbeard and couchpotato webmin etc) quickly and easily via UBUNTU i thought it would be a similar process via fedora unfortunately i was wrong. It is very frustrating knowing that i can do all this very easily in ubuntu however in fedora commands and support is very different. If Amahi 7 was supporting 14.04LTS ubuntu then it would be a different story.

I have bought apps before especially when VNC was giving me headache but i am not going to buy an app when i know i have installed this before.. (call me cheap)

Thanks for your help as always.

User avatar
bigfoot65
Project Manager
Posts: 11300
Joined: Mon May 25, 2009 4:31 pm

Re: Sabnzbd manual install unrar fail.

Postby bigfoot65 » Sun Aug 10, 2014 1:24 pm

Understand. I would recommend you install SABnzbd Plus using the source vs RPM. It works the same, except you control where the files are located.

The thing I dislike about RPMs is they have a preset directory. They often do not uninstall completely either.

Just my recommendation. Being cheap is fine, we all have our values. We only charge for some apps to help continue funding for Amahi.

FYI on Ubuntu, it's likely we will not have a new version for a while. Not sure if you are anticipating one, but for now it's on hold due to lack of an Ubuntu developer.
ßîgƒσστ65
Applications Manager

Who is online

Users browsing this forum: No registered users and 2 guests